%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging-tools
Version:          2.2.1
Release:          %mkrel 3
Group:            Development/Java
Summary:          JBoss Logging I18n Annotation Processor
# Not available license file https://issues.jboss.org/browse/LOGTOOL-107
# ./annotations/src/main/java/org/jboss/logging/annotations/*.java: Apache (v2.0)
License:          ASL 2.0 and LGPLv2+
URL:              https://github.com/jboss-logging/jboss-logging-tools
Source0:          %{url}/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
Source1:          https://www.apache.org/licenses/LICENSE-2.0.txt
Patch1:           0001-Add-getEnclosingMethod-to-DelegatingExecutableElemen.patch

BuildArch:        noarch
#ExclusiveArch:    %%{java_arches} noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.jdeparser:jdeparser)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)

%description
This package contains JBoss Logging I18n Annotation Processor

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n %{name}-%{namedversion} -p 1

cp %{SOURCE1} .

# roaster is not packaged for Fedora, so:
# - Remove the dependency
# - Remove the test that requires it
%pom_remove_dep -r org.jboss.forge.roaster:
rm processor/src/test/java/org/jboss/logging/processor/generated/GeneratedSourceAnalysisTest.java

# Skip docs module
%pom_disable_module docs

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt
%doc README.adoc

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt
%doc README.adoc




%changelog
* Mon May 27 2024 ns80 <ns80> 2.2.1-3.mga10
+ Revision: 2068398
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 2.2.1-2.mga9
+ Revision: 1827567
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 2.2.1-1.mga8
+ Revision: 1621917
- Update to version 2.2.1
- Rebuilt for JDK-11

* Tue Feb 11 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1491082
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1262848
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 2.0.1-1.mga6
+ Revision: 1103955
- New version2.0.1

* Wed Mar 02 2016 neoclust <neoclust> 1.2.0-0.3.Beta1.2.mga6
+ Revision: 982543
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1.2.0-0.3.Beta1.1.mga6
+ Revision: 979526
- sync package jboss-logging-tools with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-0.1.Beta1.4.mga5
+ Revision: 750762
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-0.1.Beta1.2.mga4
+ Revision: 541212
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.2.0-0.1.Beta1.1.mga4
+ Revision: 495306
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-4.mga3
+ Revision: 355072
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.0-3.mga3
+ Revision: 331816
- Java Stack Mass Rebuild

* Sun Feb 19 2012 gil <gil> 1.0.0-2.mga3
+ Revision: 210914
- update to 1.0.0.Final
- imported package jboss-logging-tools
+ dmorgan <dmorgan>
- Fix Buildrequires
- Clean spec file


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging